#pragma once
#include "../glm/glm/glm.hpp"
#include "../glm/glm/gtc/matrix_transform.hpp"

#include <GLES2/gl2.h>



class Camera
{
public:
	Camera();
	~Camera();
		
	glm::mat4* GetView();
	glm::mat4* GetProjection();
	
	
	glm::mat4 Get_Projection()
	{
		return Projection;
	}
	
	glm::mat4 Get_View()
	{
		return View;
	}

	glm::mat4 View;
	glm::mat4 Projection;
	
	glm::mat4 LookAt;
	
	float Roll;
	float Pitch;
	float Yaw;
	

};
